Subject: Re: [Ecrit] Service URN Draft Comment

From: Henning Schulzrinne <[email-masked]>
Date: Sat, 26 Aug 2006 17:37:47 -0400

Catching up...

On Aug 21, 2006, at 5:56 PM, Leslie Daigle wrote:

> This seems to make sense to me.  Following up a point Brian Rosen made
> on a different thread -- I think it's reasonable for the  
> registration of the SOS service (in the Service URN document) to  
> say that it is
> expected to be used in the context of the LoST protocol, without  
> saying
> LoST is its resolution protocol.   That directs people to LoST,  
> without
> getting into strange multiplicities of "resolution protocols".
>

05 now says something like that.

>
> and I don't think that's *quite* right.  How about:
>
>    Process for identifier resolution:  there is no single global
>       resolution service for 'service' URNs.  However,  each top-level
>       service can provide a set of mapping protocols to be used with
>       'service' URNs of that service.
>       Within each top-level service, all mapping protocols MUST return
>       the same set of mappings.  "
>
> and then specify LoST as a mapping protocol for the sos type?

I changed the text.

I'd like to avoid a normative dependence, as service URNs are  
essentially done, but LoST will probably take a bit longer.

>
>
>> * Change the IANA consideration section (e.g., regarding the  
>> policy for
>> new top-level service designations).
>> Reason: Sounds like good feedback from Leslie.
>
> The text in -04 seems much crisper and works for me, fwiw.
>
>
> Leslie.

_______________________________________________
Ecrit mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ecrit